# medialist
A flutter plugin that lists images and/or videos in the external storage.
## Usage
To use this plugin, add `medialist` as a [dependency in your pubspec.yaml file](https://flutter.dev/platform-plugins/).

  ### Example

``` dart

final medialist = Medialist();

// By default, this fetches all the media in the storage
final allMedia = await medialist.listMedia();

// For more control, specify parameters
final specificMedia = await medialist.listMedia(
  // fetch images only
  types: [MediaType.image],
  // create a mini sized thumbnail
  thumbSize: MediaThumbSize.mini,
  // Pagination
  // fetch the second page while limiting the media to 10 per page
  page: 1,
  mediaPerPage: 10,
);

// Example for displaying a media item
Container(
  decoration: BoxDecoration(
    image: DecorationImage(
      image: FileImage(
        File.fromUri(
          Uri.file(allMedia[0].thumbnailPath),
        ),
      ),
    ),
  ),
)
```
A full example with pagination can be found [here](https://github.com/aouahib/medialist/blob/master/example/lib/main.dart).